<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:b="http://bootsfaces.net/ui">

<h:body>
    <f:metadata>
        <f:viewParam name="id" value="#{mbArticle.sousCatSelect}"></f:viewParam>
        <f:viewAction action="#{mbArticle.init()}"></f:viewAction>
    </f:metadata>

    <ui:composition template="/arche/arche.xhtml">
        <ui:define name="content">
            <b:jumbotron>
                <b:container>
                    <b:row>
                        <b:column span="8">
                            <h1>
                                <small style="size: 10px">Détail de ma commande</small>
                            </h1>
                        </b:column>
                        <b:column span="4">
                            <div align="right">
                                <h1>
                                    <small><h:outputFormat value="#{mbHisto.prixTotal} € Total"/></small>
                                </h1>
                            </div>
                        </b:column>
                    </b:row>
                </b:container>
            </b:jumbotron>
            <h:form>
                <b:row rendered="#{mbHisto.commandes.size()>0?true:false}">
                    <b:panel title="Commande" collapsible="false">
                        <b:dataTable value="#{mbHisto.commandes}" var="commande" searching="false"
                                     paginated="false" striped="false">
                            <b:dataTableColumn width="60%" label="Articles">
                                <b:column col-md="6">
                                    <img src="../img/#{commande.article.nomImage}" alt="photo" height="120px"/>
                                </b:column>
                                <b:column col-md="6">
                                    <h4>#{commande.article.nom}</h4>
                                    <p>
                                        <h:outputText value="Quantité : #{commande.quantite}"/>
                                    </p>
                                </b:column>
                            </b:dataTableColumn>
                            <b:dataTableColumn label="Prix" width="20%">
                                <h:outputText value="#{commande.article.prix}" styleClass="prix-total"
                                              style="text-align: center">
                                    <f:convertNumber currencySymbol="€" type="currency"/>
                                </h:outputText>
                            </b:dataTableColumn>
                        </b:dataTable>
                    </b:panel>
                </b:row>
                <b:row rendered="#{mbHisto.prestations.size()>0?true:false}">
                    <b:panel title="Prestations" collapsible="false">
                        <b:dataTable value="#{mbHisto.prestations}" var="prestation" searching="false"
                                     paginated="false" striped="false">
                            <b:dataTableColumn width="60%" label="Prestations">
                                <b:column col-md="6">
                                    <img src="http://localhost:9190/WSPrestataires/images/#{prestation.prestataire.photo}"
                                         alt="photo" height="120px"/>
                                </b:column>
                                <b:column col-md="6">
                                    <h4>#{prestation.prestataire.prenom} #{prestation.prestataire.nom}</h4>
                                    <p>
                                        tel: #{prestation.prestataire.telephone}
                                    </p>
                                    <p>
                                        <h:outputText value="Durée : #{prestation.duree} H"/>
                                    </p>
                                    <p>
                                        #{prestation.prestataire.description}
                                    </p>
                                </b:column>
                            </b:dataTableColumn>
                            <b:dataTableColumn label="Prix" width="20%">
                                <h:outputText value="#{prestation.prixHoraire * prestation.duree}"
                                              styleClass="prix-total"
                                              style="text-align: center">
                                    <f:convertNumber currencySymbol="€" type="currency"/>
                                </h:outputText>
                            </b:dataTableColumn>
                        </b:dataTable>
                    </b:panel>
                </b:row>
            </h:form>

            <b:row>
                <h:form>
                    <b:link value="Retour" href="javascript:history.go(-1)"
                            styleClass="btn btn-primary" size="sm"/>
                </h:form>
            </b:row>

        </ui:define>
    </ui:composition>

</h:body>
</html>